Subject: Re: Polylepis

From: [email-masked]
Date: Fri, 6 Oct 95 21:53:00 PST

Hi, my e-mail is [email-masked] I will try to find some info on
Polylepis, but in the meantime could you give me any addresses for seed and
bulb sources of native plants in Chile? Thank you very much!